/* 
 * Controller for 8x8 LED Matrix
 * 
 * V1.0  
 * 
 * By: Lars Ivar Miljeteig, December 2009
 * Platform: AVR ATmega8 (avr-gcc)
 * Dependencies: larslib.h, larslib.c
 *
 * Written for a 16-pin 8x8 LED Matrix (788ASR)
 *  using multiplexing. 
 * 
 * Read more at www.larsivar.com/cp/
 */

#include "globals.h"
#include "mat88.h"

uint8_t arrow_up[] = { 
    
    0b00011000,
    0b00111100,
    0b01111110,
    0b11011011,
    0b10011001,
    0b00011000,
    0b00011000,
    0b00011000,
};

uint8_t diag[] = { 
    
    0b10000000,
    0b01000000,
    0b00100000,
    0b00010000,
    0b00001000,
    0b00000100,
    0b00000010,
    0b00000001,
};

uint8_t all[] = { 
    
    0xff,
    0xff,
    0xff,
    0xff,
    0xff,
    0xff,
    0xff,
    0xff
};

uint8_t test[] = { 
    
    0b00001000,
    0b00001000,
    0b00001000,
    0b11111111,
    0b00001000,
    0b00001000,
    0b00001000,
    0b00001000,
};

int main()
{

    mat88_init();

    sei();
    
    uint8_t *tekst = (uint8_t*)"All your base are belong to us";

    mat88_draw(all);
    
    mat88_scrollwrite(tekst, 212, 254);


    while(1) mat88_refresh();

    return 0;
}
