/* 
 * Controller for 8x8 LED Matrix
 * 
 * V1.0  
 * 
 * By: Lars Ivar Miljeteig, December 2009
 * Platform: AVR ATmega8 (avr-gcc)
 * Dependencies: larslib.h, larslib.c
 *
 * Written for a 16-pin 8x8 LED Matrix (788ASR)
 *  using multiplexing. 
 * 
 * Read more at www.larsivar.com/cp/
 */



#ifndef MAT88_H
#define MAT88_H

#include "globals.h"


void mat88_init();

void mat88_draw(uint8_t *matrix);
void mat88_putc(uint8_t byte);
void mat88_scrollwrite(uint8_t *text, uint8_t scrollspeed, uint8_t rounds);
void mat88_blinkwrite(uint8_t *text, uint8_t blinkspeed, uint8_t rounds);
void mat88_clear();
void mat88_refresh();

#endif // MAT88_H
